Subject: Re: bug#43280: 28.0.50; [native-comp] Symbol's function definition is void

From: Rob Moss <[email-masked]>
Date: Wed, 9 Sep 2020 09:18:26 +1000

On Wed, 9 Sep 2020 at 02:22, Andrea Corallo <[email-masked]> wrote:
>
> Rob Moss <[email-masked]> writes:
>
> > Dear Andrea and others working native compilation,
> >
> > I've been testing out the feature/native-comp branch and experienced
> > an issue with the elpher package (version 2.10, available on MELPA
> > Stable) that only occurs once this package has been compiled into a
> > .eln file. When using elpher to visit some, but not all, gemini URLs
> > it produces the following error message:
> >
> >   Symbol’s function definition is void: \(setf\ url-port\)
> >
> > I've assembled a minimal working example that triggers the issue when
> > I attempt to visit the URL 'gemini://mozz.us/':
> >
> > ---------- MWE starts ----------
> > (require 'package)
> >
> > (add-to-list 'package-archives
> >              '("melpa-stable" . "https://stable.melpa.org/packages/")
> > t)
> >
> > (package-initialize)
> > (unless package-archive-contents
> >   (package-refresh-contents))
> >
> > (unless (package-installed-p 'use-package)
> >   (package-install 'use-package))
> >
> > (eval-when-compile (require 'use-package))
> >
> > (use-package elpher
> >   :ensure t
> >   :pin melpa-stable)
> >
> > (elpher-go "gemini://mozz.us/")
> > ---------- MWE ends ----------
> >
> > If I run (elpher-go "gemini://mozz.us/") before the .eln file is
> > produced, it visits the URL without any problems.
>
> Hi Rob,
>
> thanks for the detailed report, I see you are on
> aa526c9470d679e9144af55d9e56928a111d2ceb.  It would be worth recompiling
> as in the last two weeks we have merged a number of improvements on the
> compatibility side.
>
> If you could try this would be very appreciated.

Hi Andrea,

I just tried it with 15acd27d1c0de8b56bab61daa0a8fcd4fef0fdc4 and
experienced the same issue.

All the best,
Rob

> > Thank you very much for all of your work on native compilation. It's
> > made noticeable differences in a few circumstances where I normally
> > experience a bit of lag/unresponsiveness, which I really appreciate.
>
> Cool! Thanks for the feedback :)
>
>   Andrea